Ruby 2.1.5p273(2014-11-13revision48405)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Functions | Variables
miniinit.c File Reference
`#include "ruby/ruby.h"`
`#include "ruby/encoding.h"`
Include dependency graph for miniinit.c:

Go to the source code of this file.

## Functions
VALUE | rb_locale_charmap (VALUE klass)
int | Init_enc_set_filesystem_encoding (void)

## Variables
const char | ruby_exec_prefix [] = ""
const char | ruby_initial_load_paths [] = ""

## Function Documentation

int Init_enc_set_filesystem_encoding | ( | void |  | ) |

Definition at line 27 of file miniinit.c.

References rb_default_external_encoding(), and rb_enc_to_index.

Referenced by enc_set_default_encoding().

VALUE rb_locale_charmap | ( | VALUE | klass | ) |

Definition at line 21 of file miniinit.c.

References rb_usascii_str_new2.

Referenced by encoding_table_get_name_core(), Init_Encoding(), and rb_locale_encindex().

## Variable Documentation

const char ruby_exec_prefix[] = ""

Definition at line 16 of file miniinit.c.

const char ruby_initial_load_paths[] = ""

Definition at line 17 of file miniinit.c.